Deployments.ai Docs
Brains

List Brain sources

GET /v1/brains/{brainId}/sources · SDK listBrainSources · CLI deployments brain-source list

GET
/v1/brains/{brainId}/sources

Requires brains:read.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

brainId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Response Body

BrainSourcePageResponse

application/json
  1. response
items*array<>
nextCursor?|null
curl -X GET "https://example.com/v1/brains/string/sources" \  -H "x-deployments-organization: string"
{  "items": [    {      "brainId": "string",      "connectionId": "string",      "configuration": {},      "createdAt": "string",      "createdByPrincipalId": "string",      "id": "string",      "environmentId": "string",      "kind": "email",      "lastSyncAt": "string",      "name": "string",      "organizationId": "string",      "projectId": "string",      "status": "active",      "syncCursor": "string",      "syncError": "string",      "updatedAt": "string",      "updatedByPrincipalId": "string",      "version": 0    }  ],  "nextCursor": "string"}